package com.aucma.report.mapper;

import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;

/**
 * 看板报表Mapper接口
 *
 * @Author YinQ
 * @create 2023-10-26 10:53
 */
public interface BoardReportMapper {


    /**
     * 看板通用接口List
     * @param paramMap
     * @return
     */
    List<LinkedHashMap<String, Object>> generalInterfaceList(HashMap paramMap);


    /**
     * 首页接口
     * @param paramMap
     * @return
     */
    List<HashMap<String, Object>> homePageInterface(HashMap<String, String> paramMap);

    /**
     * 首页柱状接口
     * @param paramMap
     * @return
     */
    List<HashMap<String, Object>> homeColumnarInterface(HashMap<String, String> paramMap);

    /**
     * 首页折线接口
     * @param paramMap
     * @return
     */
    List<HashMap<String, Object>> homeLineInterface(HashMap<String, String> paramMap);

    /**
     * 首页饼图接口
     * @param paramMap
     * @return
     */
    List<HashMap<String, Object>> homePieChartInterface(HashMap<String, String> paramMap);

    /**
     * 箱体发泡生产数据监控平台-生产统计数据
     * @param paramMap
     * @return
     */
    List<HashMap<String, Object>> boxFoamingProductionInterface(HashMap<String, String> paramMap);

    /**
     * 获取当前班组时间
     * @param paramMap
     * @return
     */
    List<HashMap<String, Object>> getCurrentTeamTimeList(HashMap<String, String> paramMap);

    /**
     * 今日下线产量
     * @param paramMap
     * @return
     */
    HashMap<String, Object> todayOfflineProduction(HashMap<String, String> paramMap);
}
